<template>
  <div class="wrap">
    <a-image class="image" :src="imgUrlPrefix + src" style="width: auto; height: 70px" />
  </div>
</template>
<script lang="ts">
  import { Image } from 'ant-design-vue';
  import { defineComponent, toRefs } from 'vue';
  import { useGlobSetting } from '/@/hooks/setting';

  const props = {
    src: { type: String, default: '' },
  };

  export default defineComponent({
    components: { aImage: Image },
    props,
    setup(props) {
      const { imgUrlPrefix } = useGlobSetting();
      return {
        imgUrlPrefix,
        ...toRefs(props),
      };
    },
  });
</script>
<style scoped>
  .wrap {
    display: flex;
    justify-content: space-around;
    width: 100%;
    height: 80px;
    align-items: center;
    border: 1px solid #ddd;
    border-radius: 2px;
  }
</style>
